/// <reference types="react" />
export declare const SubotInlineIntentTitle: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>, {}>;
export declare const SubotInlineRecalculateButton: import("@emotion/styled").StyledComponent<Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "onClick"> & {
    size: "lg" | "md" | "sm" | "xs";
    children?: import("react").ReactNode;
    color?: "primary" | "secondary" | "transparent" | "tertiary" | "ghost" | "danger" | "success";
    theme?: "helloSites" | "marryBaby";
    isDisabled?: boolean;
    isBlock?: boolean;
    title?: string;
    className?: string;
    icon?: JSX.Element;
    iconPosition?: "left" | "right";
    isLoading?: boolean;
    loadingText?: string;
    onClick?: import("react").MouseEventHandler<HTMLButtonElement>;
    dataEventCategory?: string;
    dataEventAction?: string;
    dataEventLabel?: string;
    dataProductChannel?: string;
    dataProductSku?: string;
    dataProductBrand?: string;
    dataProductName?: string;
    dataProductPrice?: string;
    dataProductCategory?: string;
    dataProductPosition?: string;
    type?: "button" | "submit" | "reset";
    component?: import("react").ElementType<any>;
    href?: string;
} & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export declare const SubotInlineIntentButton: import("@emotion/styled").StyledComponent<Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "onClick"> & {
    size: "lg" | "md" | "sm" | "xs";
    children?: import("react").ReactNode;
    color?: "primary" | "secondary" | "transparent" | "tertiary" | "ghost" | "danger" | "success";
    theme?: "helloSites" | "marryBaby";
    isDisabled?: boolean;
    isBlock?: boolean;
    title?: string;
    className?: string;
    icon?: JSX.Element;
    iconPosition?: "left" | "right";
    isLoading?: boolean;
    loadingText?: string;
    onClick?: import("react").MouseEventHandler<HTMLButtonElement>;
    dataEventCategory?: string;
    dataEventAction?: string;
    dataEventLabel?: string;
    dataProductChannel?: string;
    dataProductSku?: string;
    dataProductBrand?: string;
    dataProductName?: string;
    dataProductPrice?: string;
    dataProductCategory?: string;
    dataProductPosition?: string;
    type?: "button" | "submit" | "reset";
    component?: import("react").ElementType<any>;
    href?: string;
} & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export declare const SubotInlineItemIcon: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineInlineIntentButton: import("@emotion/styled").StyledComponent<Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "onClick"> & {
    size: "lg" | "md" | "sm" | "xs";
    children?: import("react").ReactNode;
    color?: "primary" | "secondary" | "transparent" | "tertiary" | "ghost" | "danger" | "success";
    theme?: "helloSites" | "marryBaby";
    isDisabled?: boolean;
    isBlock?: boolean;
    title?: string;
    className?: string;
    icon?: JSX.Element;
    iconPosition?: "left" | "right";
    isLoading?: boolean;
    loadingText?: string;
    onClick?: import("react").MouseEventHandler<HTMLButtonElement>;
    dataEventCategory?: string;
    dataEventAction?: string;
    dataEventLabel?: string;
    dataProductChannel?: string;
    dataProductSku?: string;
    dataProductBrand?: string;
    dataProductName?: string;
    dataProductPrice?: string;
    dataProductCategory?: string;
    dataProductPosition?: string;
    type?: "button" | "submit" | "reset";
    component?: import("react").ElementType<any>;
    href?: string;
} & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export declare const SubotInlineIntentFirstTextWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentFirstImageWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentFirstTextContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentTextContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentImageContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentUrlContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentRiskScreenerContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentFinalButtonContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledAffiliate: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentFinalCol: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
} & {
    width?: string;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentFinalRow: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentCol: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
} & {
    width?: string;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentRow: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SubotInlineIntentList: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
